org.jgroups.blocks

## Interface NotificationBus.Consumer

- All Known Implementing Classes:
    NotificationBusDemo
  Enclosing class:
    NotificationBus

      public static interface NotificationBus.Consumer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Serializable` | `getCache()` Called on the coordinator to obtains its cache
    `void` | `handleNotification(java.io.Serializable n)`
    `void` | `memberJoined(Address mbr)`
    `void` | `memberLeft(Address mbr)`

- - ### Method Detail

    - #### handleNotification

          void handleNotification(java.io.Serializable n)

    - #### getCache

          java.io.Serializable getCache()

      Called on the coordinator to obtains its cache

    - #### memberJoined

          void memberJoined(Address mbr)

    - #### memberLeft

          void memberLeft(Address mbr)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.